## sleuthkit 1.68-2

=== Makefile ===
SHELL	= /bin/sh
CC		= gcc
DIRS	= bin

all:	$(DIRS) compile

static:	$(DIRS) compile-static

$(DIRS):
	mkdir -p $@

compile: no-perl mactime sorter

compile-static: no-perl-static mactime sorter

no-perl:
	cd src/misc; make "CC=$(CC)" MAKELEVEL=
	cd src/hashtools; make "CC=$(CC)" MAKELEVEL=
	cd src/fstools; make "CC=$(CC)" MAKELEVEL=
	cd src/mmtools; make "CC=$(CC)" MAKELEVEL=
	cd src/file; CC="$(CC)" sh ./install

no-perl-static:
	cd src/misc; make "CC=$(CC)" OPT=-static MAKELEVEL=
	cd src/hashtools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
	cd src/fstools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
	cd src/mmtools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
	cd src/file; sh ./install
	cd src/file; CC="$(CC)" sh ./install


sorter:
	cd src/sorter; sh ./install

mactime:
	cd src/timeline; make 


clean: 
	cd src/hashtools; make $@ "CC=$(CC)" MAKELEVEL=
	cd src/misc; make $@ "CC=$(CC)" MAKELEVEL=
	cd src/fstools; make $@ "CC=$(CC)" MAKELEVEL=
	cd src/mmtools; make $@ "CC=$(CC)" MAKELEVEL=
	cd src/file; sh ./clean
	cd src/timeline; make $@
	cd src/sorter; sh ./clean
	rm -f bin/*core
	rm -f bin/.gdb_history
	find . -name ".*" | grep -v "cvsignore"
	cat patchlevel

tidy: clean
	rm -f *core *.old *.bak *.orig .nfs* .pure *- make.* *.tmp* \
	*/*/*.old */*/*.bak */*/*.orig */*/.nfs* */*/.pure */*/*- */*/make.* \
	*/*.old */*.bak */*.orig */.nfs* */.pure */*- */make.* typescript
	find . -type f -print | xargs chmod 644
	find . -type d -print | xargs chmod 755

=== src/fstools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
# uncomment the following for a static build
# OPT	= -O -Wall -static
OPT	= -O -Wall 
DEBUG	= -g
INCL	= -I../misc
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
LIBOBJ	= fs_buf.o fs_inode.o fs_io.o fs_open.o \
	fs_dent.o fs_types.o fs_data.o mylseek.o get.o \
	ffs.o ffs_dent.o ext2fs.o ext2fs_dent.o \
	fatfs.o fatfs_dent.o ntfs.o ntfs_dent.o 
LIBS	= ../misc/aux_lib.a
LIB	= fs_lib.a
BIN_DIR	= ../../bin
PROGS	= $(BIN_DIR)/ils $(BIN_DIR)/dls $(BIN_DIR)/icat \
	$(BIN_DIR)/fls $(BIN_DIR)/dcat $(BIN_DIR)/ffind \
        $(BIN_DIR)/istat $(BIN_DIR)/ifind $(BIN_DIR)/dcalc $(BIN_DIR)/dstat \
		$(BIN_DIR)/fsstat

defs:
	@CC="$(CC)" sh ../makedefs

all:	$(LIB) $(PROGS)

$(LIB):	$(LIBOBJ)
	$(AR) $@ $?
	$(RANLIB) $@

$(BIN_DIR)/dls: dls.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ dls.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/ils: ils.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ ils.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/icat: icat.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ icat.o $(LIB) $(LIBS) $(SYSLIBS)


$(BIN_DIR)/ifind: ifind.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ ifind.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/ffind: ffind.o $(LIB) $(LIBS) 
	$(CC) $(CFLAGS) -o $@ ffind.o $(LIB) $(LIBS) $(SYSLIBS) 

$(BIN_DIR)/fls: fls.o $(LIB) $(LIBS) 
	$(CC) $(CFLAGS) -o $@ fls.o $(LIB) $(LIBS) $(SYSLIBS) 

$(BIN_DIR)/dcat: dcat.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ dcat.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/istat: istat.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ istat.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/dcalc: dcalc.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ dcalc.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/dstat: dstat.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ dstat.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/fsstat: fsstat.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ fsstat.o $(LIB) $(LIBS) $(SYSLIBS)

clean:
	rm -f $(PROGS) $(LIB) *.o *core

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit - this was generated with make depend
dcalc.o: fs_tools.h
dcalc.o: fs_types.h
dcalc.o: ../misc/error.h
dcalc.o: ../misc/split_at.h
dcat.o: fs_tools.h
dcat.o: fs_types.h
dcat.o: ../misc/error.h
dls.o: fs_tools.h
dls.o: fs_types.h
dls.o: ../misc/error.h
dls.o: ../misc/split_at.h
dstat.o: fs_tools.h
dstat.o: fs_types.h
dstat.o: ../misc/error.h
dstat.o: ffs.h
dstat.o: ext2fs.h
ext2fs.o: fs_tools.h
ext2fs.o: fs_types.h
ext2fs.o: fs_types.h
ext2fs.o: ext2fs.h
ext2fs.o: ../misc/mymalloc.h
ext2fs.o: ../misc/error.h
ext2fs_dent.o: fs_tools.h
ext2fs_dent.o: fs_types.h
ext2fs_dent.o: ext2fs.h
ext2fs_dent.o: ../misc/mymalloc.h
ext2fs_dent.o: ../misc/error.h
fatfs.o: fs_tools.h
fatfs.o: fs_types.h
fatfs.o: fs_types.h
fatfs.o: fatfs.h
fatfs.o: ../misc/mymalloc.h
fatfs.o: ../misc/error.h
fatfs_dent.o: fs_tools.h
fatfs_dent.o: fs_types.h
fatfs_dent.o: fatfs.h
fatfs_dent.o: ../misc/mymalloc.h
fatfs_dent.o: ../misc/error.h
ffind.o: fs_tools.h
ffind.o: fs_types.h
ffind.o: ../misc/error.h
ffs.o: fs_tools.h
ffs.o: fs_types.h
ffs.o: fs_types.h
ffs.o: ffs.h
ffs.o: ../misc/mymalloc.h
ffs.o: ../misc/error.h
ffs_dent.o: fs_tools.h
ffs_dent.o: fs_types.h
ffs_dent.o: ffs.h
ffs_dent.o: ../misc/mymalloc.h
ffs_dent.o: ../misc/error.h
fls.o: fs_tools.h
fls.o: fs_types.h
fls.o: ../misc/error.h
fls.o: ntfs.h
fs_buf.o: fs_tools.h
fs_buf.o: fs_types.h
fs_buf.o: ../misc/mymalloc.h
fs_buf.o: ../misc/error.h
fs_data.o: fs_tools.h
fs_data.o: fs_types.h
fs_data.o: ../misc/mymalloc.h
fs_data.o: ../misc/error.h
fs_dent.o: fs_tools.h
fs_dent.o: fs_types.h
fs_dent.o: ../misc/mymalloc.h
fs_dent.o: ../misc/error.h
fs_inode.o: fs_tools.h
fs_inode.o: fs_types.h
fs_inode.o: ../misc/mymalloc.h
fs_inode.o: ../misc/error.h
fs_inode.o: fs_data.h
fs_io.o: fs_tools.h
fs_io.o: fs_types.h
fs_io.o: ../misc/error.h
fs_io.o: fs_types.h
fs_open.o: fs_tools.h
fs_open.o: fs_types.h
fs_open.o: ../misc/error.h
fsstat.o: fs_tools.h
fsstat.o: fs_types.h
fsstat.o: ../misc/error.h
fs_types.o: fs_tools.h
fs_types.o: fs_types.h
get.o: fs_tools.h
get.o: fs_types.h
get.o: ../misc/error.h
icat.o: fs_tools.h
icat.o: fs_types.h
icat.o: ../misc/error.h
ifind.o: fs_tools.h
ifind.o: fs_types.h
ifind.o: ../misc/error.h
ils.o: fs_tools.h
ils.o: fs_types.h
ils.o: ../misc/error.h
ils.o: ../misc/split_at.h
istat.o: fs_tools.h
istat.o: fs_types.h
istat.o: ../misc/error.h
istat.o: ffs.h
istat.o: ext2fs.h
mylseek.o: fs_tools.h
mylseek.o: fs_types.h
ntfs.o: fs_tools.h
ntfs.o: fs_types.h
ntfs.o: fs_types.h
ntfs.o: ntfs.h
ntfs.o: ../misc/error.h
ntfs.o: fs_data.h
ntfs_dent.o: fs_tools.h
ntfs_dent.o: fs_types.h
ntfs_dent.o: ntfs.h
ntfs_dent.o: fs_data.h
ntfs_dent.o: ../misc/error.h

=== src/hashtools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
OPT	= -O -Wall
DEBUG	= -g
BIN	= ../../bin
PROGS	= $(BIN)/md5 $(BIN)/sha1 $(BIN)/hfind
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. $(XFLAGS)

defs:
	@CC="$(CC)" sh ../makedefs

all:	$(PROGS)

$(BIN)/md5: md5.o md5c.o
	$(CC) $(CFLAGS) -o $@ md5.o md5c.o

$(BIN)/sha1: sha1.o 
	$(CC) $(CFLAGS) -o $@ sha1.o 

$(BIN)/hfind: hfind.o nsrl.o tm_lookup.o md5sum.o hk.o
	$(CC) $(CFLAGS) -o $@ hfind.o nsrl.o tm_lookup.o md5sum.o hk.o

clean:
	rm -f $(PROGS) *.o core *.core

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit below this line - it is generated by 'make depend'
hfind.o: hfind.c
hfind.o: hfind.h
hk.o: hk.c
hk.o: hfind.h
md5.o: md5.c
md5.o: global.h
md5.o: md5.h
md5c.o: md5c.c
md5c.o: global.h
md5c.o: md5.h
md5sum.o: md5sum.c
md5sum.o: hfind.h
nsrl.o: nsrl.c
nsrl.o: hfind.h
sha1.o: sha1.c
sha1.o: sha1.h
sha1.o: global.h
tm_lookup.o: tm_lookup.c
tm_lookup.o: hfind.h

=== src/mmtools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
# Uncomment this for a static build
# OPT	= -O -Wall  -static
OPT	= -O -Wall 
DEBUG	= -g
INCL	= -I../misc
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
LIBOBJ	= mm_part.o mm_open.o mm_types.o dos.o mac.o bsd.o sun.o get.o
LIBS	= ../misc/aux_lib.a
LIB	= mm_lib.a
BIN_DIR	= ../../bin
PROGS	= $(BIN_DIR)/mmls

defs:
	@CC="$(CC)" sh ../makedefs

all:	$(LIB) $(PROGS)

$(LIB):	$(LIBOBJ)
	$(AR) $@ $?
	$(RANLIB) $@

$(BIN_DIR)/mmls: mmls.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ mmls.o $(LIB) $(LIBS) $(SYSLIBS)

clean:
	rm -f $(PROGS) $(LIB) *.o *core

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit - this was generated with make depend
dos.o: dos.c
dos.o: dos.c
dos.o: mm_tools.h
dos.o: mm_types.h
dos.o: ../misc/mymalloc.h
dos.o: ../misc/error.h
dos.o: dos.h
mac.o: mac.c
mac.o: mm_types.h
mac.o: ../misc/mymalloc.h
mac.o: ../misc/error.h
mac.o: mac.h
sun.o: sun.c
sun.o: mm_types.h
sun.o: ../misc/mymalloc.h
sun.o: ../misc/error.h
sun.o: sun.h
bsd.o: bsd.c
bsd.o: mm_types.h
bsd.o: ../misc/mymalloc.h
bsd.o: ../misc/error.h
bsd.o: bsd.h
mmls.o: mmls.c
mmls.o: mm_tools.h
mmls.o: ../misc/error.h
mm_open.o: mm_open.c
mm_open.o: mm_tools.h
mm_part.o: mm_part.c
mm_part.o: mm_tools.h
mm_part.o: ../misc/mymalloc.h
mm_types.o: mm_types.c
mm_types.o: mm_tools.h

=== debian/changelog ===
sleuthkit (1.68-2) unstable; urgency=low

  * 64-bit systems naturally implement llseek (closes: #205313)
  * Bumped to Standards 3.6.1.0 (no changes needed)

 -- Mattia Monga <monga@debian.org>  Wed, 10 Mar 2004 17:28:03 +0100

sleuthkit (1.68-1) unstable; urgency=low

  * New upstream release
  * Fixed $SK_DIR in /usr/bin/sorted, now is is /usr/ (closes: #196834)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Wed, 10 Mar 2004 15:19:17 +0100

sleuthkit (1.66-1) unstable; urgency=low

  * New upstream release (closes: #221713)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Fri, 28 Nov 2003 19:13:18 +0100

sleuthkit (1.61-4) unstable; urgency=low

  * Really correct previous bug!

 -- Mattia Monga <monga@debian.org>  Mon, 12 May 2003 18:57:03 +0200

sleuthkit (1.61-3) unstable; urgency=low

  * Missing  $(shlibs:Depends) corrected

 -- Mattia Monga <monga@debian.org>  Mon,  5 May 2003 11:13:47 +0200

sleuthkit (1.61-2) unstable; urgency=low

  * Package taken while Lorenzo is waiting to become an official Debian
    mantainer

 -- Mattia Monga <monga@debian.org>  Thu, 17 Apr 2003 22:33:36 +0200

sleuthkit (1.61-1) unstable; urgency=low

  * new package release
  * changed the package name to sleuthkit

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Tue, 15 Apr 2003 19:12:45 +0200

task (1.60-1) unstable; urgency=low

  * Initial Release.

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Mon, 31 Mar 2003 23:04:51 +0200

=== debian/control ===
Source: sleuthkit
Section: admin
Priority: optional
Maintainer: Mattia Monga <monga@debian.org>
Build-Depends: debhelper (>> 4.0.0), dbs
Standards-Version: 3.6.1.0

Package: sleuthkit
Architecture: any
Depends: ${shlibs:Depends}, libdate-manip-perl, file
Conflicts: tct
Description: Tools for forensics analysis
 The Sleuth Kit allows an investigator examine the file systems of a suspect
 computer in a non-intrusive fashion. The Sleuth Kit is a collection of
 UNIX-based command line tools that can analyze NTFS, FAT, FFS, EXT2FS, and
 EXT3FS file systems. The Sleuth Kit reads and processes the file system
 structures itself and therefore operating system support for the file systems
 is not required. Furthermore, these can be used during Incident Response on
 live systems to bypass the kernel and view files that are being hidden by
 rootkits.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


# DBS stuff


TAR_DIR = sleuthkit-1.68
# the dbs rules
include /usr/share/dbs/dbs-build.mk
# convenient way to set architecture specification strings
# the ifeq condition is here to allow them to be overridden
# from the command line
ifeq (,$(DEB_BUILD_GNU_TYPE))
   include /usr/share/dbs/dpkg-arch.mk
endif



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp: $(patched)
	dh_testdir
# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp $(patched)

build-stamp: configure-stamp 

	dh_testdir
# Add here commands to compile the arch part of the package.
	cd $(BUILD_TREE) && $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf $(SOURCE_DIR) $(STAMP_DIR) build-stamp configure-stamp

# Add here commands to clean up after the build process.
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs 

# Add here commands to install the arch part of the package into 
# debian/tmp.
	dh_install --sourcedir=$(BUILD_TREE)

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs $(BUILD_TREE)/CHANGES
	dh_installdocs $(BUILD_TREE)/README $(BUILD_TREE)/TODO $(BUILD_TREE)/tct.docs/* $(BUILD_TREE)/docs/*
	dh_installexamples
	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman $(BUILD_TREE)/man/man1/*
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps	
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## sleuthkit 1.73

=== Makefile ===
SHELL	= /bin/sh
CC		= gcc
DIRS	= bin

all:	$(DIRS) compile

static:	$(DIRS) compile-static

$(DIRS):
	mkdir -p $@

compile: no-perl mactime sorter file test 

compile-static: no-perl-static mactime sorter file test

no-perl:
	cd src/misc; make "CC=$(CC)" MAKELEVEL=
	cd src/hashtools; make "CC=$(CC)" MAKELEVEL=
	cd src/fstools; make "CC=$(CC)" MAKELEVEL=
	cd src/mmtools; make "CC=$(CC)" MAKELEVEL=
	cd src/srchtools; make "CC=$(CC)" MAKELEVEL=
	cd src/disktools; make "CC=$(CC)" MAKELEVEL=

no-perl-static:
	cd src/misc; make "CC=$(CC)" OPT=-static MAKELEVEL=
	cd src/hashtools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
	cd src/fstools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
	cd src/mmtools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
	cd src/srchtools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
	cd src/disktools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
	cd src/file; CC="$(CC)" sh ./TSK.install


sorter:
	cd src/sorter; sh ./install

mactime:
	cd src/timeline; make 

file:
	cd src/file; CC="$(CC)" sh ./TSK.install

test:
	sh ./check-install

clean: 
	cd src/hashtools; make $@ "CC=$(CC)" MAKELEVEL=
	cd src/misc; make $@ "CC=$(CC)" MAKELEVEL=
	cd src/fstools; make $@ "CC=$(CC)" MAKELEVEL=
	cd src/mmtools; make $@ "CC=$(CC)" MAKELEVEL=
	cd src/srchtools; make $@ "CC=$(CC)" MAKELEVEL=
	cd src/disktools; make $@ "CC=$(CC)" MAKELEVEL=
	cd src/file; sh ./TSK.clean
	cd src/timeline; make $@
	cd src/sorter; sh ./clean
	rm -f bin/*core
	rm -f bin/.gdb_history
	find . -name ".*" | grep -v "cvsignore"
	cat patchlevel

=== src/disktools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
OPT	= -O -Wall
DEBUG	= -g
BIN	= ../../bin
PROGS	= $(BIN)/diskstat
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. $(XFLAGS)

LIBOBJ  = diskstat.o

defs:
	@CC="$(CC)" sh ../makedefs

all:    $(LIB) $(PROGS)

$(LIB): $(LIBOBJ)
	$(AR) $@ $?
	$(RANLIB) $@

$(BIN)/diskstat: diskstat.o diskstat.c
	$(CC) $(CFLAGS) -o $@ diskstat.o 

clean:
	rm -f $(PROGS) $(LIB) *.o core *.core

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit below this line - it is generated by 'make depend'
diskstat.o: diskstat.c

=== src/fstools/Makefile ===
--- 
+++ 
@@ -7,16 +7,17 @@
 INCL	= -I../misc
 CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
 LIBOBJ	= fs_buf.o fs_inode.o fs_io.o fs_open.o \
-	fs_dent.o fs_types.o fs_data.o mylseek.o get.o \
-	ffs.o ffs_dent.o ext2fs.o ext2fs_dent.o \
-	fatfs.o fatfs_dent.o ntfs.o ntfs_dent.o 
+	fs_dent.o fs_types.o fs_data.o get.o \
+	ffs.o ffs_dent.o ext2fs.o ext2fs_dent.o ext2fs_journal.o \
+	fatfs.o fatfs_dent.o ntfs.o ntfs_dent.o swapfs.o rawfs.o
 LIBS	= ../misc/aux_lib.a
 LIB	= fs_lib.a
 BIN_DIR	= ../../bin
 PROGS	= $(BIN_DIR)/ils $(BIN_DIR)/dls $(BIN_DIR)/icat \
 	$(BIN_DIR)/fls $(BIN_DIR)/dcat $(BIN_DIR)/ffind \
         $(BIN_DIR)/istat $(BIN_DIR)/ifind $(BIN_DIR)/dcalc $(BIN_DIR)/dstat \
-		$(BIN_DIR)/fsstat
+		$(BIN_DIR)/fsstat $(BIN_DIR)/jls $(BIN_DIR)/jcat
+# $(BIN_DIR)/fscheck
 
 defs:
 	@CC="$(CC)" sh ../makedefs
@@ -60,6 +61,16 @@
 
 $(BIN_DIR)/fsstat: fsstat.o $(LIB) $(LIBS)
 	$(CC) $(CFLAGS) -o $@ fsstat.o $(LIB) $(LIBS) $(SYSLIBS)
+
+$(BIN_DIR)/fscheck: fscheck.o $(LIB) $(LIBS)
+	$(CC) $(CFLAGS) -o $@ fscheck.o $(LIB) $(LIBS) $(SYSLIBS)
+
+$(BIN_DIR)/jls: jls.o $(LIB) $(LIBS)
+	$(CC) $(CFLAGS) -o $@ jls.o $(LIB) $(LIBS) $(SYSLIBS)
+
+$(BIN_DIR)/jcat: jcat.o $(LIB) $(LIBS)
+	$(CC) $(CFLAGS) -o $@ jcat.o $(LIB) $(LIBS) $(SYSLIBS)
+
 
 clean:
 	rm -f $(PROGS) $(LIB) *.o *core
@@ -99,6 +110,11 @@
 ext2fs_dent.o: ext2fs.h
 ext2fs_dent.o: ../misc/mymalloc.h
 ext2fs_dent.o: ../misc/error.h
+ext2fs_journal.o: fs_tools.h
+ext2fs_journal.o: fs_types.h
+ext2fs_journal.o: ext2fs.h
+ext2fs_journal.o: ../misc/mymalloc.h
+ext2fs_journal.o: ../misc/error.h
 fatfs.o: fs_tools.h
 fatfs.o: fs_types.h
 fatfs.o: fs_types.h
@@ -114,7 +130,6 @@
 ffind.o: fs_types.h
 ffind.o: ../misc/error.h
 ffs.o: fs_tools.h
-ffs.o: fs_types.h
 ffs.o: fs_types.h
 ffs.o: ffs.h
 ffs.o: ../misc/mymalloc.h
@@ -155,6 +170,9 @@
 fsstat.o: fs_tools.h
 fsstat.o: fs_types.h
 fsstat.o: ../misc/error.h
+fscheck.o: fs_tools.h
+fscheck.o: fs_types.h
+fscheck.o: ../misc/error.h
 fs_types.o: fs_tools.h
 fs_types.o: fs_types.h
 get.o: fs_tools.h
@@ -175,8 +193,14 @@
 istat.o: ../misc/error.h
 istat.o: ffs.h
 istat.o: ext2fs.h
-mylseek.o: fs_tools.h
-mylseek.o: fs_types.h
+jls.o: fs_tools.h
+jls.o: fs_types.h
+jls.o: ../misc/error.h
+jls.o: ../misc/split_at.h
+jcat.o: fs_tools.h
+jcat.o: fs_types.h
+jcat.o: ../misc/error.h
+jcat.o: ../misc/split_at.h
 ntfs.o: fs_tools.h
 ntfs.o: fs_types.h
 ntfs.o: fs_types.h
@@ -188,3 +212,11 @@
 ntfs_dent.o: ntfs.h
 ntfs_dent.o: fs_data.h
 ntfs_dent.o: ../misc/error.h
+rawfs.o: fs_tools.h
+rawfs.o: fs_types.h
+rawfs.o: ../misc/mymalloc.h
+rawfs.o: ../misc/error.h
+rawfs.o: fs_tools.h
+swapfs.o: fs_types.h
+swapfs.o: ../misc/mymalloc.h
+swapfs.o: ../misc/error.h

=== src/hashtools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
OPT	= -O -Wall
DEBUG	= -g
BIN	= ../../bin
PROGS	= $(BIN)/md5 $(BIN)/sha1 $(BIN)/hfind
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. $(XFLAGS)

LIBOBJ  = md5c.o sha1c.o
LIB = hash_lib.a

defs:
	@CC="$(CC)" sh ../makedefs

all:    $(LIB) $(PROGS)

$(LIB): $(LIBOBJ)
	$(AR) $@ $?
	$(RANLIB) $@

$(BIN)/md5: md5.o md5c.o
	$(CC) $(CFLAGS) -o $@ md5.o md5c.o

$(BIN)/sha1: sha1.o sha1c.o 
	$(CC) $(CFLAGS) -o $@ sha1.o sha1c.o

$(BIN)/hfind: hfind.o nsrl_index.o tm_lookup.o md5sum_index.o hk_index.o
	$(CC) $(CFLAGS) -o $@ hfind.o nsrl_index.o tm_lookup.o md5sum_index.o hk_index.o

clean:
	rm -f $(PROGS) $(LIB) *.o core *.core

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit below this line - it is generated by 'make depend'
hfind.o: hfind.c
hfind.o: hfind.h
hk_index.o: hk_index.c
hk_index.o: hfind.h
md5.o: md5.c
md5.o: global.h
md5.o: hash.h
md5c.o: md5c.c
md5c.o: global.h
md5c.o: hash.h
md5sum_index.o: md5sum_index.c
md5sum_index.o: hfind.h
nsrl_index.o: nsrl_index.c
nsrl_index.o: hfind.h
sha1.o: sha1.c
sha1.o: hash.h
sha1.o: global.h
sha1c.o: sha1c.c
sha1c.o: hash.h
sha1c.o: global.h
tm_lookup.o: tm_lookup.c
tm_lookup.o: hfind.h

=== src/misc/Makefile ===
SHELL	= /bin/sh
CC	= gcc
# uncomment the following for a static build
# OPT	= -O
OPT	= -O -Wall
DEBUG	= -g
CFLAGS	= $(DEFS) $(OPT) $(DEBUG)
LIBOBJ	= mymalloc.o error.o strerror.o split_at.o 
LIB	= aux_lib.a
BIN_DIR	= 
PROGS	= 

defs:
	@CC="$(CC)" sh ../makedefs

all:	$(LIB)

manpages: 

$(LIB):	$(LIBOBJ)
	$(AR) $@ $?
	$(RANLIB) $@

clean:
	rm -f $(PROGS) $(LIB) *.o *core

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit - this was generated with make depend
error.o: error.c
error.o: error.h
mymalloc.o: mymalloc.c
mymalloc.o: error.h
mymalloc.o: mymalloc.h
split_at.o: split_at.c
split_at.o: split_at.h
strerror.o: strerror.c

=== src/mmtools/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DEBUG	= -g
 INCL	= -I../misc
 CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
-LIBOBJ	= mm_part.o mm_open.o mm_types.o dos.o mac.o bsd.o sun.o get.o
+LIBOBJ	= mm_part.o mm_open.o mm_types.o dos.o mac.o bsd.o sun.o get.o gpt.o
 LIBS	= ../misc/aux_lib.a
 LIB	= mm_lib.a
 BIN_DIR	= ../../bin
@@ -57,6 +57,12 @@
 bsd.o: ../misc/mymalloc.h
 bsd.o: ../misc/error.h
 bsd.o: bsd.h
+gpt.o: gpt.c
+gpt.o: mm_types.h
+gpt.o: ../misc/mymalloc.h
+gpt.o: ../misc/error.h
+gpt.o: gpt.h
+gpt.o: dos.h
 mmls.o: mmls.c
 mmls.o: mm_tools.h
 mmls.o: ../misc/error.h

=== src/srchtools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
OPT	= -O -Wall
DEBUG	= -g
BIN	= ../../bin
PROGS	= $(BIN)/sstrings $(BIN)/sigfind
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I ../misc $(XFLAGS)

LIBOBJ  = sstrings.o 
LIBS    = ../misc/aux_lib.a
LIB = search_lib.a

defs:
	@CC="$(CC)" sh ../makedefs

all:    $(LIB) $(PROGS)

$(LIB): $(LIBOBJ)
	$(AR) $@ $?
	$(RANLIB) $@

$(BIN)/sstrings: sstrings.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ sstrings.o $(LIBS)

$(BIN)/sigfind: sigfind.o $(LIBS) $(LIB)
	$(CC) $(CFLAGS) -o $@ sigfind.o $(LIBS) $(LIB)

clean:
	rm -f $(PROGS) $(LIB) *.o core *.core

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit below this line - it is generated by 'make depend'
sstrings.o: sstrings.c
sigfind.o: sigfind.c

## sleuthkit 2.00

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 no-perl:
 	cd src/misc; make "CC=$(CC)" MAKELEVEL=
+	cd src/imgtools; make "CC=$(CC)" MAKELEVEL=
 	cd src/hashtools; make "CC=$(CC)" MAKELEVEL=
 	cd src/fstools; make "CC=$(CC)" MAKELEVEL=
 	cd src/mmtools; make "CC=$(CC)" MAKELEVEL=
@@ -23,6 +24,7 @@
 
 no-perl-static:
 	cd src/misc; make "CC=$(CC)" OPT=-static MAKELEVEL=
+	cd src/imgtools; make "CC=$(CC)" MAKELEVEL=
 	cd src/hashtools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
 	cd src/fstools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
 	cd src/mmtools; make "CC=$(CC)" OPT=-static MAKELEVEL= 
@@ -32,7 +34,7 @@
 
 
 sorter:
-	cd src/sorter; sh ./install
+	cd src/sorter; make
 
 mactime:
 	cd src/timeline; make 
@@ -45,6 +47,7 @@
 
 clean: 
 	cd src/hashtools; make $@ "CC=$(CC)" MAKELEVEL=
+	cd src/imgtools; make $@ "CC=$(CC)" MAKELEVEL=
 	cd src/misc; make $@ "CC=$(CC)" MAKELEVEL=
 	cd src/fstools; make $@ "CC=$(CC)" MAKELEVEL=
 	cd src/mmtools; make $@ "CC=$(CC)" MAKELEVEL=
@@ -55,6 +58,9 @@
 	cd src/sorter; sh ./clean
 	rm -f bin/*core
 	rm -f bin/.gdb_history
-	find . -name ".*" | grep -v "cvsignore"
+	find . -name ".DS_Store" | xargs rm -f 
+	find . -name ".*" | grep -v "cvsignore" | grep -v "indent.pro" | grep -v "tidyrc"
 	cat patchlevel
 
+release:
+	find . -name "CVS" | xargs rm -rf

=== src/disktools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
OPT	= -O -Wall
DEBUG	= -g
BIN	= ../../bin
PROGS	= $(BIN)/disk_stat $(BIN)/disk_sreset
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I ../misc/ $(XFLAGS)
LIBS    = ../misc/aux_lib.a

defs:
	@CC="$(CC)" sh ../makedefs

all:    $(PROGS)

$(BIN)/disk_stat: disk_stat.o ide.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ disk_stat.o ide.o $(LIBS)

$(BIN)/disk_sreset: disk_sreset.o ide.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ disk_sreset.o ide.o $(LIBS)

indent:
	indent *.c 

clean:
	rm -f $(PROGS) *.o core *.core *~

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit below this line - it is generated by 'make depend'
disk_stat.o: disk_stat.c
disk_sreset.o: disk_sreset.c
ide.o: ide.c

=== src/fstools/Makefile ===
--- 
+++ 
@@ -4,13 +4,15 @@
 # OPT	= -O -Wall -static
 OPT	= -O -Wall 
 DEBUG	= -g
-INCL	= -I../misc
+INCL	= -I../misc -I../imgtools
 CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
-LIBOBJ	= fs_buf.o fs_inode.o fs_io.o fs_open.o \
-	fs_dent.o fs_types.o fs_data.o get.o \
+LIBOBJ	= fs_inode.o fs_io.o fs_open.o \
+	fs_dent.o fs_types.o fs_data.o fs_load.o \
 	ffs.o ffs_dent.o ext2fs.o ext2fs_dent.o ext2fs_journal.o \
-	fatfs.o fatfs_dent.o ntfs.o ntfs_dent.o swapfs.o rawfs.o
-LIBS	= ../misc/aux_lib.a
+	fatfs.o fatfs_dent.o ntfs.o ntfs_dent.o swapfs.o rawfs.o \
+	dcalc_lib.o dcat_lib.o dls_lib.o dstat_lib.o ffind_lib.o \
+	fls_lib.o icat_lib.o ifind_lib.o ils_lib.o
+LIBS	= ../misc/aux_lib.a ../imgtools/img_lib.a
 LIB	= fs_lib.a
 BIN_DIR	= ../../bin
 PROGS	= $(BIN_DIR)/ils $(BIN_DIR)/dls $(BIN_DIR)/icat \
@@ -37,7 +39,6 @@
 $(BIN_DIR)/icat: icat.o $(LIB) $(LIBS)
 	$(CC) $(CFLAGS) -o $@ icat.o $(LIB) $(LIBS) $(SYSLIBS)
 
-
 $(BIN_DIR)/ifind: ifind.o $(LIB) $(LIBS)
 	$(CC) $(CFLAGS) -o $@ ifind.o $(LIB) $(LIBS) $(SYSLIBS)
 
@@ -71,9 +72,11 @@
 $(BIN_DIR)/jcat: jcat.o $(LIB) $(LIBS)
 	$(CC) $(CFLAGS) -o $@ jcat.o $(LIB) $(LIBS) $(SYSLIBS)
 
+indent:
+	indent *.c *.h
 
 clean:
-	rm -f $(PROGS) $(LIB) *.o *core
+	rm -f $(PROGS) $(LIB) *.o *core *~
 
 depend: $(MAKES)
 	(sed '1,/^# do not edit/!d' Makefile; \
@@ -87,18 +90,31 @@
 dcalc.o: fs_types.h
 dcalc.o: ../misc/error.h
 dcalc.o: ../misc/split_at.h
+dcalc_lib.o: fs_tools.h
+dcalc_lib.o: fs_types.h
+dcalc_lib.o: ../misc/error.h
 dcat.o: fs_tools.h
 dcat.o: fs_types.h
 dcat.o: ../misc/error.h
+dcat_lib.o: fs_tools.h
+dcat_lib.o: fs_types.h
+dcat_lib.o: ../misc/error.h
 dls.o: fs_tools.h
 dls.o: fs_types.h
 dls.o: ../misc/error.h
 dls.o: ../misc/split_at.h
+dls_lib.o: fs_tools.h
+dls_lib.o: fs_types.h
+dls_lib.o: ../misc/error.h
 dstat.o: fs_tools.h
 dstat.o: fs_types.h
 dstat.o: ../misc/error.h
-dstat.o: ffs.h
-dstat.o: ext2fs.h
+dstat_lib.o: fs_tools.h
+dstat_lib.o: fs_types.h
+dstat_lib.o: ../misc/error.h
+dstat_lib.o: fatfs.h
+dstat_lib.o: ffs.h
+dstat_lib.o: ext2fs.h
 ext2fs.o: fs_tools.h
 ext2fs.o: fs_types.h
 ext2fs.o: fs_types.h
@@ -129,6 +145,9 @@
 ffind.o: fs_tools.h
 ffind.o: fs_types.h
 ffind.o: ../misc/error.h
+ffind_lib.o: fs_tools.h
+ffind_lib.o: fs_types.h
+ffind_lib.o: ../misc/error.h
 ffs.o: fs_tools.h
 ffs.o: fs_types.h
 ffs.o: ffs.h
@@ -142,11 +161,10 @@
 fls.o: fs_tools.h
 fls.o: fs_types.h
 fls.o: ../misc/error.h
-fls.o: ntfs.h
-fs_buf.o: fs_tools.h
-fs_buf.o: fs_types.h
-fs_buf.o: ../misc/mymalloc.h
-fs_buf.o: ../misc/error.h
+fls_lib.o: fs_tools.h
+fls_lib.o: fs_types.h
+fls_lib.o: ../misc/error.h
+fls_lib.o: ntfs.h
 fs_data.o: fs_tools.h
 fs_data.o: fs_types.h
 fs_data.o: ../misc/mymalloc.h
@@ -173,21 +191,30 @@
 fscheck.o: fs_tools.h
 fscheck.o: fs_types.h
 fscheck.o: ../misc/error.h
+fs_load.o: fs_tools.h
+fs_load.o: fs_load.c
 fs_types.o: fs_tools.h
 fs_types.o: fs_types.h
-get.o: fs_tools.h
-get.o: fs_types.h
-get.o: ../misc/error.h
 icat.o: fs_tools.h
 icat.o: fs_types.h
 icat.o: ../misc/error.h
+icat_lib.o: fs_tools.h
+icat_lib.o: fs_types.h
+icat_lib.o: ../misc/error.h
 ifind.o: fs_tools.h
 ifind.o: fs_types.h
 ifind.o: ../misc/error.h
+ifind_lib.o: fs_tools.h
+ifind_lib.o: fs_types.h
+ifind_lib.o: ../misc/error.h
 ils.o: fs_tools.h
 ils.o: fs_types.h
 ils.o: ../misc/error.h
 ils.o: ../misc/split_at.h
+ils_lib.o: fs_tools.h
+ils_lib.o: fs_types.h
+ils_lib.o: ../misc/error.h
+ils_lib.o: ../misc/split_at.h
 istat.o: fs_tools.h
 istat.o: fs_types.h
 istat.o: ../misc/error.h

=== src/hashtools/Makefile ===
--- 
+++ 
@@ -27,8 +27,11 @@
 $(BIN)/hfind: hfind.o nsrl_index.o tm_lookup.o md5sum_index.o hk_index.o
 	$(CC) $(CFLAGS) -o $@ hfind.o nsrl_index.o tm_lookup.o md5sum_index.o hk_index.o
 
+indent:
+	indent *.c *.h
+
 clean:
-	rm -f $(PROGS) $(LIB) *.o core *.core
+	rm -f $(PROGS) $(LIB) *.o core *.core *~
 
 depend: $(MAKES)
 	(sed '1,/^# do not edit/!d' Makefile; \

=== src/imgtools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
# Uncomment this for a static build
# OPT	= -O -Wall  -static
OPT	= -O -Wall 
DEBUG	= -g
INCL	= -I../misc
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
LIBOBJ	= img_open.o raw.o split.o 
LIBS	= ../misc/aux_lib.a
LIB	= img_lib.a
BIN_DIR	= ../../bin
PROGS	= $(BIN_DIR)/img_stat

defs:
	@CC="$(CC)" sh ../makedefs

all:	$(LIB) $(PROGS)

$(LIB):	$(LIBOBJ)
	$(AR) $@ $?
	$(RANLIB) $@

$(BIN_DIR)/img_stat: img_stat.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ img_stat.o $(LIB) $(LIBS) $(SYSLIBS)

clean:
	rm -f $(PROGS) $(LIB) *.o *core *~

indent:
	indent *.c *.h

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit - this was generated with make depend
img_open.o: img_open.c
img_open.o: img_tools.h
img_open.o: ../misc/tsk_os.h
img_open.o: ../misc/tsk_types.h
raw.o: raw.c
raw.o: img_tools.h
raw.o: ../misc/tsk_os.h
raw.o: ../misc/tsk_types.h
split.o: split.c
split.o: img_tools.h
split.o: ../misc/tsk_os.h
split.o: ../misc/tsk_types.h
img_stat.o: img_stat.c
img_stat.o: img_tools.h
img_stat.o: ../misc/tsk_os.h
img_stat.o: ../misc/tsk_types.h

=== src/misc/Makefile ===
--- 
+++ 
@@ -5,7 +5,9 @@
 OPT	= -O -Wall
 DEBUG	= -g
 CFLAGS	= $(DEFS) $(OPT) $(DEBUG)
-LIBOBJ	= mymalloc.o error.o strerror.o split_at.o 
+LIBOBJ	= mymalloc.o error.o strerror.o split_at.o tsk_endian.o \
+    unicode.o data_buf.o tsk_version.o
+
 LIB	= aux_lib.a
 BIN_DIR	= 
 PROGS	= 
@@ -21,8 +23,11 @@
 	$(AR) $@ $?
 	$(RANLIB) $@
 
+indent:
+	indent *.h *.c
+
 clean:
-	rm -f $(PROGS) $(LIB) *.o *core
+	rm -f $(PROGS) $(LIB) *.o *core *~
 
 depend: $(MAKES)
 	(sed '1,/^# do not edit/!d' Makefile; \
@@ -32,11 +37,26 @@
 	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile
 
 # do not edit - this was generated with make depend
+data_buf.o: data_buf.c
+data_buf.o: data_buf.c
+data_buf.o: data_buf.h
+tsk_endian.o: tsk_endian.c
+tsk_endian.o: tsk_endian.c
+tsk_endian.o: tsk_os.h
+tsk_endian.o: tsk_types.h
+tsk_endian.o: tsk_endian.h
+tsk_endian.o: error.h
+error.o: error.c
 error.o: error.c
 error.o: error.h
+mymalloc.o: mymalloc.c
 mymalloc.o: mymalloc.c
 mymalloc.o: error.h
 mymalloc.o: mymalloc.h
 split_at.o: split_at.c
+split_at.o: split_at.c
 split_at.o: split_at.h
 strerror.o: strerror.c
+strerror.o: strerror.c
+unicode.o: unicode.c
+tsk_version.o:tsk_version.c

=== src/mmtools/Makefile ===
--- 
+++ 
@@ -4,13 +4,13 @@
 # OPT	= -O -Wall  -static
 OPT	= -O -Wall 
 DEBUG	= -g
-INCL	= -I../misc
+INCL	= -I../misc -I../imgtools
 CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
-LIBOBJ	= mm_part.o mm_open.o mm_types.o dos.o mac.o bsd.o sun.o get.o gpt.o
-LIBS	= ../misc/aux_lib.a
+LIBOBJ	= mm_part.o mm_open.o mm_io.o mm_types.o dos.o mac.o bsd.o sun.o gpt.o
+LIBS	= ../misc/aux_lib.a ../imgtools/img_lib.a
 LIB	= mm_lib.a
 BIN_DIR	= ../../bin
-PROGS	= $(BIN_DIR)/mmls
+PROGS	= $(BIN_DIR)/mmls $(BIN_DIR)/mmstat
 
 defs:
 	@CC="$(CC)" sh ../makedefs
@@ -24,8 +24,14 @@
 $(BIN_DIR)/mmls: mmls.o $(LIB) $(LIBS)
 	$(CC) $(CFLAGS) -o $@ mmls.o $(LIB) $(LIBS) $(SYSLIBS)
 
+$(BIN_DIR)/mmstat: mmstat.o $(LIB) $(LIBS)
+	$(CC) $(CFLAGS) -o $@ mmstat.o $(LIB) $(LIBS) $(SYSLIBS)
+
+indent:
+	indent *.c *.h
+
 clean:
-	rm -f $(PROGS) $(LIB) *.o *core
+	rm -f $(PROGS) $(LIB) *.o *core *~
 
 depend: $(MAKES)
 	(sed '1,/^# do not edit/!d' Makefile; \
@@ -66,6 +72,9 @@
 mmls.o: mmls.c
 mmls.o: mm_tools.h
 mmls.o: ../misc/error.h
+mmstat.o: mmstat.c
+mmstat.o: mm_tools.h
+mmstat.o: ../misc/error.h
 mm_open.o: mm_open.c
 mm_open.o: mm_tools.h
 mm_part.o: mm_part.c
@@ -73,3 +82,5 @@
 mm_part.o: ../misc/mymalloc.h
 mm_types.o: mm_types.c
 mm_types.o: mm_tools.h
+mm_io.o: mm_io.c
+mm_io.o: mm_tools.h

=== src/srchtools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
OPT	= -O -Wall
DEBUG	= -g
BIN	= ../../bin
PROGS	= $(BIN)/srch_strings $(BIN)/sigfind
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I ../misc $(XFLAGS)

LIBOBJ  = srch_strings.o 
LIBS    = ../misc/aux_lib.a
LIB = search_lib.a

defs:
	@CC="$(CC)" sh ../makedefs

all:    $(LIB) $(PROGS)

$(LIB): $(LIBOBJ)
	$(AR) $@ $?
	$(RANLIB) $@

$(BIN)/srch_strings: srch_strings.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ srch_strings.o $(LIBS)

$(BIN)/sigfind: sigfind.o $(LIBS) $(LIB)
	$(CC) $(CFLAGS) -o $@ sigfind.o $(LIBS) $(LIB)

indent:
	indent sigfind.c

clean:
	rm -f $(PROGS) $(LIB) *.o core *.core *~

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit below this line - it is generated by 'make depend'
srch_strings.o: srch_strings.c
sigfind.o: sigfind.c
sigfind.o: ../misc/tsk_os.h

=== src/timeline/Makefile ===
defs:
	@sh ./config-perl
clean:
	rm -f ../../bin/mactime

## sleuthkit 2.03

=== src/disktools/Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 SHELL	= /bin/sh
 CC	= gcc
+#CC	= g++
 OPT	= -O -Wall
 DEBUG	= -g
 BIN	= ../../bin
 PROGS	= $(BIN)/disk_stat $(BIN)/disk_sreset
-CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I ../misc/ $(XFLAGS)
-LIBS    = ../misc/aux_lib.a
+CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I ../auxtools/ $(XFLAGS)
+LIBS    = ../auxtools/libauxtools.a
 
 defs:
 	@CC="$(CC)" sh ../makedefs

=== src/fstools/Makefile ===
SHELL	= /bin/sh
#CC	= g++
CC	= gcc
# uncomment the following for a static build
# OPT	= -O -Wall -static
OPT	= -O -Wall 
DEBUG	= -g
INCL	= -I../auxtools -I../imgtools
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
LIBOBJ	= fs_inode.o fs_io.o fs_open.o \
	fs_dent.o fs_types.o fs_data.o fs_load.o fs_unicode.o \
	ffs.o ffs_dent.o ext2fs.o ext2fs_dent.o ext2fs_journal.o \
	fatfs.o fatfs_dent.o ntfs.o ntfs_dent.o swapfs.o rawfs.o \
	dcalc_lib.o dcat_lib.o dls_lib.o dstat_lib.o ffind_lib.o \
	fls_lib.o icat_lib.o ifind_lib.o ils_lib.o 
# hfs.o hfs_dent.o hfs_journal.o
# iso9660.o iso9660_dent.o 
LIBS	= ../auxtools/libauxtools.a ../imgtools/libimgtools.a
LIB	= libfstools.a
BIN_DIR	= ../../bin
PROGS	= $(BIN_DIR)/ils $(BIN_DIR)/dls $(BIN_DIR)/icat \
	$(BIN_DIR)/fls $(BIN_DIR)/dcat $(BIN_DIR)/ffind \
        $(BIN_DIR)/istat $(BIN_DIR)/ifind $(BIN_DIR)/dcalc $(BIN_DIR)/dstat \
		$(BIN_DIR)/fsstat $(BIN_DIR)/jls $(BIN_DIR)/jcat
# $(BIN_DIR)/fscheck

defs:
	@CC="$(CC)" sh ../makedefs

all:	$(LIB) $(PROGS)

$(LIB):	$(LIBOBJ)
	$(AR) $@ $?
	$(RANLIB) $@

$(BIN_DIR)/dls: dls.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ dls.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/ils: ils.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ ils.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/icat: icat.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ icat.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/ifind: ifind.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ ifind.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/ffind: ffind.o $(LIB) $(LIBS) 
	$(CC) $(CFLAGS) -o $@ ffind.o $(LIB) $(LIBS) $(SYSLIBS) 

$(BIN_DIR)/fls: fls.o $(LIB) $(LIBS) 
	$(CC) $(CFLAGS) -o $@ fls.o $(LIB) $(LIBS) $(SYSLIBS) 

$(BIN_DIR)/dcat: dcat.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ dcat.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/istat: istat.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ istat.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/dcalc: dcalc.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ dcalc.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/dstat: dstat.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ dstat.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/fsstat: fsstat.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ fsstat.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/fscheck: fscheck.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ fscheck.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/jls: jls.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ jls.o $(LIB) $(LIBS) $(SYSLIBS)

$(BIN_DIR)/jcat: jcat.o $(LIB) $(LIBS)
	$(CC) $(CFLAGS) -o $@ jcat.o $(LIB) $(LIBS) $(SYSLIBS)

indent:
	indent *.c *.h

clean:
	rm -f $(PROGS) $(LIB) *.o *core *~

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit - this was generated with make depend
dcalc.o: fs_tools.h
dcalc.o: fs_types.h
dcalc.o: ../auxtools/error.h
dcalc.o: ../auxtools/split_at.h
dcalc_lib.o: fs_tools.h
dcalc_lib.o: fs_types.h
dcalc_lib.o: ../auxtools/error.h
dcat.o: fs_tools.h
dcat.o: fs_types.h
dcat.o: ../auxtools/error.h
dcat_lib.o: fs_tools.h
dcat_lib.o: fs_types.h
dcat_lib.o: ../auxtools/error.h
dls.o: fs_tools.h
dls.o: fs_types.h
dls.o: ../auxtools/error.h
dls.o: ../auxtools/split_at.h
dls_lib.o: fs_tools.h
dls_lib.o: fs_types.h
dls_lib.o: ../auxtools/error.h
dstat.o: fs_tools.h
dstat.o: fs_types.h
dstat.o: ../auxtools/error.h
dstat_lib.o: fs_tools.h
dstat_lib.o: fs_types.h
dstat_lib.o: ../auxtools/error.h
dstat_lib.o: fatfs.h
dstat_lib.o: ntfs.h
dstat_lib.o: ffs.h
dstat_lib.o: ext2fs.h
ext2fs.o: fs_tools.h
ext2fs.o: fs_types.h
ext2fs.o: fs_types.h
ext2fs.o: ext2fs.h
ext2fs.o: ../auxtools/mymalloc.h
ext2fs.o: ../auxtools/error.h
ext2fs_dent.o: fs_tools.h
ext2fs_dent.o: fs_types.h
ext2fs_dent.o: ext2fs.h
ext2fs_dent.o: ../auxtools/mymalloc.h
ext2fs_dent.o: ../auxtools/error.h
ext2fs_journal.o: fs_tools.h
ext2fs_journal.o: fs_types.h
ext2fs_journal.o: ext2fs.h
ext2fs_journal.o: ../auxtools/mymalloc.h
ext2fs_journal.o: ../auxtools/error.h
fatfs.o: fs_tools.h
fatfs.o: fs_types.h
fatfs.o: fs_types.h
fatfs.o: fatfs.h
fatfs.o: ../auxtools/mymalloc.h
fatfs.o: ../auxtools/error.h
fatfs_dent.o: fs_tools.h
fatfs_dent.o: fs_types.h
fatfs_dent.o: fatfs.h
fatfs_dent.o: ../auxtools/mymalloc.h
fatfs_dent.o: ../auxtools/error.h
ffind.o: fs_tools.h
ffind.o: fs_types.h
ffind.o: ../auxtools/error.h
ffind_lib.o: fs_tools.h
ffind_lib.o: fs_types.h
ffind_lib.o: ../auxtools/error.h
ffs.o: fs_tools.h
ffs.o: fs_types.h
ffs.o: ffs.h
ffs.o: ../auxtools/mymalloc.h
ffs.o: ../auxtools/error.h
ffs_dent.o: fs_tools.h
ffs_dent.o: fs_types.h
ffs_dent.o: ffs.h
ffs_dent.o: ../auxtools/mymalloc.h
ffs_dent.o: ../auxtools/error.h
fls.o: fs_tools.h
fls.o: fs_types.h
fls.o: ../auxtools/error.h
fls_lib.o: fs_tools.h
fls_lib.o: fs_types.h
fls_lib.o: ../auxtools/error.h
fls_lib.o: ntfs.h
fs_data.o: fs_tools.h
fs_data.o: fs_types.h
fs_data.o: ../auxtools/mymalloc.h
fs_data.o: ../auxtools/error.h
fs_dent.o: fs_tools.h
fs_dent.o: fs_types.h
fs_dent.o: ../auxtools/mymalloc.h
fs_dent.o: ../auxtools/error.h
fs_inode.o: fs_tools.h
fs_inode.o: fs_types.h
fs_inode.o: ../auxtools/mymalloc.h
fs_inode.o: ../auxtools/error.h
fs_inode.o: fs_data.h
fs_io.o: fs_tools.h
fs_io.o: fs_types.h
fs_io.o: ../auxtools/error.h
fs_io.o: fs_types.h
fs_unicode.o: fs_tools.h
fs_unicode.o: fs_unicode.h
fs_open.o: fs_tools.h
fs_open.o: fs_types.h
fs_open.o: ../auxtools/error.h
fsstat.o: fs_tools.h
fsstat.o: fs_types.h
fsstat.o: ../auxtools/error.h
fscheck.o: fs_tools.h
fscheck.o: fs_types.h
fscheck.o: ../auxtools/error.h
fs_load.o: fs_tools.h
fs_load.o: fs_load.c
fs_types.o: fs_tools.h
fs_types.o: fs_types.h
hfs.o: fs_tools.h
hfs.o: fs_types.h
hfs.o: fs_types.h
hfs.o: hfs.h
hfs.o: ../auxtools/mymalloc.h
hfs.o: ../auxtools/error.h
hfs_dent.o: fs_tools.h
hfs_dent.o: fs_types.h
hfs_dent.o: hfs.h
hfs_dent.o: ../auxtools/mymalloc.h
hfs_dent.o: ../auxtools/error.h
hfs_journal.o: fs_tools.h
hfs_journal.o: fs_types.h
hfs_journal.o: hfs.h
icat.o: fs_tools.h
icat.o: fs_types.h
icat.o: ../auxtools/error.h
icat_lib.o: fs_tools.h
icat_lib.o: fs_types.h
icat_lib.o: ../auxtools/error.h
ifind.o: fs_tools.h
ifind.o: fs_types.h
ifind.o: ../auxtools/error.h
ifind_lib.o: fs_tools.h
ifind_lib.o: fs_types.h
ifind_lib.o: ../auxtools/error.h
ils.o: fs_tools.h
ils.o: fs_types.h
ils.o: ../auxtools/error.h
ils.o: ../auxtools/split_at.h
ils_lib.o: fs_tools.h
ils_lib.o: fs_types.h
ils_lib.o: ../auxtools/error.h
ils_lib.o: ../auxtools/split_at.h
iso9660.o: fs_tools.h
iso9660.o: fs_types.h
iso9660.o: fs_types.h
iso9660.o: iso9660.h
iso9660.o: ../auxtools/mymalloc.h
iso9660.o: ../auxtools/error.h
iso9660_dent.o: fs_tools.h
iso9660_dent.o: fs_types.h
iso9660_dent.o: iso9660.h
iso9660_dent.o: ../auxtools/mymalloc.h
iso9660_dent.o: ../auxtools/error.h
istat.o: fs_tools.h
istat.o: fs_types.h
istat.o: ../auxtools/error.h
istat.o: ffs.h
istat.o: ext2fs.h
jls.o: fs_tools.h
jls.o: fs_types.h
jls.o: ../auxtools/error.h
jls.o: ../auxtools/split_at.h
jcat.o: fs_tools.h
jcat.o: fs_types.h
jcat.o: ../auxtools/error.h
jcat.o: ../auxtools/split_at.h
ntfs.o: fs_tools.h
ntfs.o: fs_types.h
ntfs.o: fs_types.h
ntfs.o: ntfs.h
ntfs.o: ../auxtools/error.h
ntfs.o: fs_data.h
ntfs_dent.o: fs_tools.h
ntfs_dent.o: fs_types.h
ntfs_dent.o: ntfs.h
ntfs_dent.o: fs_data.h
ntfs_dent.o: ../auxtools/error.h
rawfs.o: fs_tools.h
rawfs.o: fs_types.h
rawfs.o: ../auxtools/mymalloc.h
rawfs.o: ../auxtools/error.h
rawfs.o: fs_tools.h
swapfs.o: fs_types.h
swapfs.o: ../auxtools/mymalloc.h
swapfs.o: ../auxtools/error.h

=== src/imgtools/Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
 SHELL	= /bin/sh
 CC	= gcc
+#CC	= g++
 # Uncomment this for a static build
 # OPT	= -O -Wall  -static
 OPT	= -O -Wall 
 DEBUG	= -g
-INCL	= -I../misc
+INCL	= -I../auxtools
 CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
 LIBOBJ	= img_open.o raw.o split.o 
-LIBS	= ../misc/aux_lib.a
-LIB	= img_lib.a
+LIBS	= ../auxtools/libauxtools.a
+LIB	= libimgtools.a
 BIN_DIR	= ../../bin
 PROGS	= $(BIN_DIR)/img_stat
 
@@ -40,17 +41,17 @@
 # do not edit - this was generated with make depend
 img_open.o: img_open.c
 img_open.o: img_tools.h
-img_open.o: ../misc/tsk_os.h
-img_open.o: ../misc/tsk_types.h
+img_open.o: ../auxtools/tsk_os.h
+img_open.o: ../auxtools/tsk_types.h
 raw.o: raw.c
 raw.o: img_tools.h
-raw.o: ../misc/tsk_os.h
-raw.o: ../misc/tsk_types.h
+raw.o: ../auxtools/tsk_os.h
+raw.o: ../auxtools/tsk_types.h
 split.o: split.c
 split.o: img_tools.h
-split.o: ../misc/tsk_os.h
-split.o: ../misc/tsk_types.h
+split.o: ../auxtools/tsk_os.h
+split.o: ../auxtools/tsk_types.h
 img_stat.o: img_stat.c
 img_stat.o: img_tools.h
-img_stat.o: ../misc/tsk_os.h
-img_stat.o: ../misc/tsk_types.h
+img_stat.o: ../auxtools/tsk_os.h
+img_stat.o: ../auxtools/tsk_types.h

=== src/mmtools/Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
 SHELL	= /bin/sh
 CC	= gcc
+#CC	= g++
 # Uncomment this for a static build
 # OPT	= -O -Wall  -static
 OPT	= -O -Wall 
 DEBUG	= -g
-INCL	= -I../misc -I../imgtools
+INCL	= -I../auxtools -I../imgtools
 CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
 LIBOBJ	= mm_part.o mm_open.o mm_io.o mm_types.o dos.o mac.o bsd.o sun.o gpt.o
-LIBS	= ../misc/aux_lib.a ../imgtools/img_lib.a
-LIB	= mm_lib.a
+LIBS	= ../auxtools/libauxtools.a ../imgtools/libimgtools.a
+LIB	= libmmtools.a
 BIN_DIR	= ../../bin
 PROGS	= $(BIN_DIR)/mmls $(BIN_DIR)/mmstat
 
@@ -45,41 +46,41 @@
 dos.o: dos.c
 dos.o: mm_tools.h
 dos.o: mm_types.h
-dos.o: ../misc/mymalloc.h
-dos.o: ../misc/error.h
+dos.o: ../auxtools/mymalloc.h
+dos.o: ../auxtools/error.h
 dos.o: dos.h
 mac.o: mac.c
 mac.o: mm_types.h
-mac.o: ../misc/mymalloc.h
-mac.o: ../misc/error.h
+mac.o: ../auxtools/mymalloc.h
+mac.o: ../auxtools/error.h
 mac.o: mac.h
 sun.o: sun.c
 sun.o: mm_types.h
-sun.o: ../misc/mymalloc.h
-sun.o: ../misc/error.h
+sun.o: ../auxtools/mymalloc.h
+sun.o: ../auxtools/error.h
 sun.o: sun.h
 bsd.o: bsd.c
 bsd.o: mm_types.h
-bsd.o: ../misc/mymalloc.h
-bsd.o: ../misc/error.h
+bsd.o: ../auxtools/mymalloc.h
+bsd.o: ../auxtools/error.h
 bsd.o: bsd.h
 gpt.o: gpt.c
 gpt.o: mm_types.h
-gpt.o: ../misc/mymalloc.h
-gpt.o: ../misc/error.h
+gpt.o: ../auxtools/mymalloc.h
+gpt.o: ../auxtools/error.h
 gpt.o: gpt.h
 gpt.o: dos.h
 mmls.o: mmls.c
 mmls.o: mm_tools.h
-mmls.o: ../misc/error.h
+mmls.o: ../auxtools/error.h
 mmstat.o: mmstat.c
 mmstat.o: mm_tools.h
-mmstat.o: ../misc/error.h
+mmstat.o: ../auxtools/error.h
 mm_open.o: mm_open.c
 mm_open.o: mm_tools.h
 mm_part.o: mm_part.c
 mm_part.o: mm_tools.h
-mm_part.o: ../misc/mymalloc.h
+mm_part.o: ../auxtools/mymalloc.h
 mm_types.o: mm_types.c
 mm_types.o: mm_tools.h
 mm_io.o: mm_io.c

=== src/srchtools/Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
 SHELL	= /bin/sh
 CC	= gcc
+#CC	= g++
 OPT	= -O -Wall
 DEBUG	= -g
 BIN	= ../../bin
 PROGS	= $(BIN)/srch_strings $(BIN)/sigfind
-CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I ../misc $(XFLAGS)
+CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG) -I. -I ../auxtools $(XFLAGS)
 
 LIBOBJ  = srch_strings.o 
-LIBS    = ../misc/aux_lib.a
-LIB = search_lib.a
+LIBS    = ../auxtools/libauxtools.a
+LIB = libsrchtools.a
 
 defs:
 	@CC="$(CC)" sh ../makedefs
@@ -41,4 +42,4 @@
 # do not edit below this line - it is generated by 'make depend'
 srch_strings.o: srch_strings.c
 sigfind.o: sigfind.c
-sigfind.o: ../misc/tsk_os.h
+sigfind.o: ../auxtools/tsk_os.h
